import { post, upload } from "@/request/axios.js";

export const getThreeInstitutionalLibrariesLabel = (params) =>
  post("/labelFactory/tree", params); // 三项制度库标签
export const getThreeInstitutionalLibrariesList = (params) =>
  post("/textLibrary/list", params); // 三项制度库列表
export const getThreeInstitutionalLibrariesView = (params) =>
  post("/textLibrary/goEdit", params); // 三项制度库查看
export const getThreeInstitutionalLibrariesViewText = (params) =>
  post("/textLibrary/getTextInfo", params); // 三项制度库查看富文本
export const setThreeInstitutionalLibrariesDelete = (params) =>
  post("/textLibrary/delete", params); // 三项制度库删除
export const setThreeInstitutionalLibrariesSave = (params) =>
  upload("/textLibrary/init", params); // 三项制度库保存
export const setThreeInstitutionalLibrariesJoinLocal = (params) =>
  post("/textLibrary/copyToOperate", params); // 三项制度库加入本地
